# game_bahuang_common 组件库说明

## 项目概述
八荒游戏建筑弹窗公共部分

## 功能模块说明

### 1. 游戏提示组件
- `bahuang_tips_bg.vue`  

### 2. 怪物提示组件 
- `bahuang_tips_monsters_bg.vue`  


### 3. 区域锁定组件
- `lock_area.vue`  
游戏区域访问控制组件，包含：
  - 区域解锁名字及颜色显示


## 项目结构
```
game_bahuang_common/
├── src/
│   └── client/
│       ├── bahuang_tips_bg.vue        # 基础提示组件
│       ├── bahuang_tips_monsters_bg.vue # 怪物提示组件
│       └── lock_area.vue              # 区域锁定组件
├── package.json                       # 依赖管理配置
└── README.md                          # 项目文档
```

2. 在Vue组件中使用：
```javascript
import GameTips from 'game_bahuang_common/src/client/bahuang_tips_bg.vue'
import MonsterTips from 'game_bahuang_common/src/client/bahuang_tips_monsters_bg.vue'
<BHTipBgWidget
    :id="props.id"
    :name="props.data.title"
    :star="props.data.star"
    @ev-close="handleClose"
>
    你的代码
</BHTipBgWidget>
```
